Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
snootyfox Posted on 10/06/2019 22:45
C I U

Report Message | Email Message To A Friend | Reply To Message
 
L A O B
W R B L
N P W M C
IP: Logged
mickyhoss Posted on 10/06/2019 22:54
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
F L O B
IP: Logged
buz_not_buzz Posted on 10/06/2019 22:59
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Wished you'd given me the answers before me eyetest last week y'bu@@er
IP: Logged
Walthamstowblue Posted on 10/06/2019 23:19
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
B & D W M C.
IP: Logged
snootyfox Posted on 10/06/2019 23:26
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
........is no more.
Drove passed it at the weekend
IP: Logged
mickyhoss Posted on 10/06/2019 23:27
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
B & D C C
IP: Logged
FoxDownunder Posted on 10/06/2019 23:27
C I U
Edited On: 10/06/2019 23:28
Report Message | Email Message To A Friend | Reply To Message 

 
S V W M C
B W M C
B L W M C
IP: Logged
snootyfox Posted on 10/06/2019 23:32
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
O H R B L
N I O O O C & I
IP: Logged
FoxDownunder Posted on 10/06/2019 23:39
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Point in question Snooty...were the Legions part of the CIU movement, I thought that they came under their own National umbrella?
IP: Logged
snootyfox Posted on 10/06/2019 23:48
C I U
Edited On: 10/06/2019 23:53
Report Message | Email Message To A Friend | Reply To Message 

 
I believe they gladly accepted CIU but Iím going back 35!years so memory might be fuzzy! Micky would almost certainly know the answer
Used to go in several legions but donít remember owning a separate card
IP: Logged
lestuhfox Posted on 11/06/2019 06:04
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
B & S W M C
M W M C
B S W M C
IP: Logged
lestuhfox Posted on 11/06/2019 06:04
C I U
Edited On: 11/06/2019 06:09
Report Message | Email Message To A Friend | Reply To Message 

 
B & S W M C
M W M C
B S W M C
S H W M C
E V W M C
D S W M C
C R W M C
IP: Logged
mickyhoss Posted on 11/06/2019 07:06
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
E S W M C Demolished
B L C & I Demolished
IP: Logged
glosfox Posted on 11/06/2019 07:51
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
SLWMC now the Sympathy Rooms.

Rugby Empire Club, now flats.

Rugby Engineers Club, Drop outs centre.

Bilton Social. Demolished

Hillmorton Legion. Demolished

RADEA (Rugby and District Ex Service Association)Club Now Flats

Polish Club. Demolished
IP: Logged
mickyhoss Posted on 11/06/2019 08:08
C I U
Edited On: 11/06/2019 13:07
Report Message | Email Message To A Friend | Reply To Message 

 
H L C Demolished
H R A F A C
H S P C Demolished
IP: Logged
snootyfox Posted on 11/06/2019 08:25
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
K R R W M C strip club/music venue/Indian restaurant
L A O B Islamic centre
IP: Logged
neverbemastered Posted on 11/06/2019 08:27
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
A A D W M C
O U W M C
K A D W M C

[cr]
IP: Logged
mickyhoss Posted on 11/06/2019 08:47
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
I went to a rock disco at the Rugby Polish club, all piled in my marina van, Freery picked up a girl there called Sue Knoor, he went out with her for about a year until they had a fight in the Lion, a few had Sue ahead on points when Shep stopped it
IP: Logged
Walthamstowblue Posted on 11/06/2019 09:04
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
The two that I used to use in Walthamstow are clinging on.
In particular The Trades Hall, that has coffee afternoons, after school events for the kids, & since the realisation that they have a sprung dance floor, rock 'n' roll all daters.
IP: Logged
mickyhoss Posted on 11/06/2019 09:12
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
I hear that one on 26th of April was really good
IP: Logged
borebage53 Posted on 11/06/2019 10:18
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Regent Club, Clarendon/Sweet Pea Club and Bubage Liberal Club all gone,Micky. Electricity Club on Nutts Lane now all industrial units. The sports and cricket pitch there were great. Ashby Road Sports Club is still going I believe. Bar still open at Hinckley Town CC on Leicester Road. Green Towers takes up the slack after the Middlefield was knocked down.
Hinckley WMC still going but reduced in size I think. £7.50 subs for the year,£5 for OAP's.
I remember having to have a quick Brandy in the Regent Club before I went for my driving test about 4 doors up the road. The Feathers would have looked too obvious!
IP: Logged
snootyfox Posted on 11/06/2019 10:45
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
easier to pick out the ones still going. Anyone know if Thrummy Prog is still going?
That Stoney Stanton one the changed over to a gig venue has also gone I think
IP: Logged
borebage53 Posted on 11/06/2019 11:00
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Saw Status Quo one Friday night at Croft Club. That must have been 49/50 years ago as I definitely wasn't 18 yet but still managed to blag my way in!
IP: Logged
borebage53 Posted on 11/06/2019 11:06
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
.......was with Les 'Bradman' Taylor and Alfie Dixon(the younger) that night,Micky!
IP: Logged
mickyhoss Posted on 11/06/2019 12:51
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Were they still THE Status Quo back then Chris
IP: Logged
mickyhoss Posted on 11/06/2019 13:03
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Was the Oddfellows a CIU joint C? Has St Peters Club been flattened?
IP: Logged
stokiefox Posted on 11/06/2019 15:52
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Got married at Boot and WMC back in the day.. NO faackin fancy wedding in Cancun,Vagas and Santorini back in them days!!

[:D]

IP: Logged
snootyfox Posted on 11/06/2019 16:09
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Had mine at Barwell Constitutional Club [^]
IP: Logged
borebage53 Posted on 11/06/2019 17:02
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Think they dropped The around 1967. So Status Quo at Croft would have been Rossi,Parfitt,Lancaster and Coghlan. The big hits that you associate with them now started coming later from mid 70's onwards,Micky!
No relation to Peter Parfitt the Middlesex and England cricketer!
IP: Logged
mickyhoss Posted on 11/06/2019 17:14
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
The Frantic Four
IP: Logged
borebage53 Posted on 11/06/2019 17:28
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Can't remember if Oddfellows was CIU or not,Micky. Labour Club has been a Chinese Restaurant for years now. Constitutional Club on Station Rd has packed up,I had my wedding reception there in 1976. Constitutional Club in Burbage is still going.
The St.Peters Club building is still there but I haven't noticed what it might be used for nowadays. I'll slow down for a look next time I drive past.
Pete Wileman used to do the Soul/Northern nights at the Sweet Pea when it was still there. Think they still do a smaller version in the Prince of Wales periodically now. Last time I saw Croc White was in the Prince one night!
IP: Logged
allblu Posted on 12/06/2019 22:46
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Notts Oddfellows was CIU. I was a life member at LAOB and my dad a life member at Spinney Hill. Newbold Verdon is still going.
IP: Logged
snootyfox Posted on 12/06/2019 23:04
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Well your life membership at LAOB needs partially refunding unless you can recite the Maghrib and Ishaía
IP: Logged
FoxDownunder Posted on 13/06/2019 01:06
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
snooty, last time I was "back home" (Dec 2017) the Thrummy club was still open, and have just looked 'em up on Google and they still seem to be in business [^]
IP: Logged
DagenhamFox Posted on 13/06/2019 06:50
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
My first job as a school kid was a paper round. My second was collecting and washing glasses in Fleckney WMC. I did it for a few years and loved it. Itís been flattened now with a load of flats on itís site.

The Connie Club also closed years ago and is an Indian Restaurant.

I think Kibby WMC is still going.
IP: Logged
scoops Posted on 13/06/2019 14:09
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Wasnít the Glenfield Social club a CIU?

Owned by Jack West back in the day and frequented by the crazy gang.
IP: Logged
allblu Posted on 13/06/2019 21:20
C I U

Report Message | Email Message To A Friend | Reply To Message 

 
Ho ho snooty, on that basis I would get stuff all however when the Buffs went belly up all the members got a payout about 30 pounds each from memory.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103